## Package com.google.gwt.core.ext

Classes used to extend the GWT compiler.

See:
Description

Interface Summary
GeneratorContext: Provides metadata to deferred binding generators.
PropertyOracle: Provides deferred binding property values.
TreeLogger: An interface used to log messages in deferred binding generators.

Class Summary
Generator: Generates source code for subclasses during deferred binding requests.
TreeLogger.Type: A type-safe enum of all possible logging severity types.

Exception Summary
BadPropertyValueException: Thrown when a deferred binding property contains an invalid value.
UnableToCompleteException: Used to indicate that some part of a multi-step process failed.

## Package com.google.gwt.core.ext Description

Classes used to extend the GWT compiler. Developers will use the classes in this package only when creating custom code `generators`.